package config

import (
	"os/exec"

	"github.com/BurntSushi/toml"
)

type Command string

func (c *Command) Exec() ([]byte, error) {
	return exec.Command("/bin/sh", "-c", string(*c)).Output()
}

type Target struct {
	Id           string    `toml:"id"`
	CommandsTo   []Command `toml:"commands_to"`
	CommandsFrom []Command `toml:"commands_from"`
}
type Targets []Target

type T struct {
	Globals struct {
		Listen *string
	}
	Targets
}

func Read(f string) (t T, err error) {
	_, err = toml.DecodeFile(f, &t)
	return
}
